subversion-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Shahaf <...@daniel.shahaf.name>
Subject Re: svn commit: r1692450 - /subversion/branches/1.9.x/STATUS
Date Thu, 23 Jul 2015 21:49:59 GMT
danielsh@apache.org wrote on Thu, Jul 23, 2015 at 21:48:18 -0000:
> Author: danielsh
> Date: Thu Jul 23 21:48:18 2015
> New Revision: 1692450
> 
> URL: http://svn.apache.org/r1692450
> Log:
> * STATUS: Nominate r1692448.
...
> + * r1692448
> +   Require Python 2.7 for Subversion 1.9, part 1: documentation and dependency
> +   version checks.
> +   Justification:
> +     Python 2.6 is EOL; makes adding Python 3 support easier.
> +   Notes:
> +     The follow-up, r1692449, is not nominated.
> +     If this nomination is not accepted, r1692446 (release notes patch) should
> +     be reverted.

It would be nice to have this in 1.9.0 since it updates the documented
minimum dependency versions.  (If we don't have this in 1.9.0, then
1.9.0's INSTALL file will document py2.5 as supported... implying that
it'll remain supported throughout the 1.9.x line.)

Mime
View raw message